package com.mortals.xhx.module.yth.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:YthMatter
* date: 2021-9-7 10:49:11
*/
public class YthMatterQuery extends YthMatterEntity{
    private static final long serialVersionUID = 1630982951545L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 从政务系统来的事项id */
    private List<String> tidList;

    /** 从政务系统来的事项code */
    private List<String> tcodeList;

    /** 从政务系统来的事项name */
    private List<String> tnameList;

    /** 部门编号 */
    private List<String> deptcodeList;

    /** 主题类型 */
    private List<String> typeList;

    /** 目录清单编码 */
    private List<String> dirListCodeList;

    /** 事项类型名称 */
    private List<String> eventTypeShowList;

    /** 行使层级名称 */
    private List<String> performHierarchyShowList;

    /** 运行系统名称 */
    private List<String> runSystemShowList;

    /** 实施主体性质 */
    private List<String> performDeptTypeShowList;

    /** 法定办结时限 */
    private List<String> legalTimeLimitShowList;

    /** 承诺办结时限 */
    private List<String> promiseTimeLimitShowList;

    /** 联审信息 */
    private List<String> jointReviewInfoShowList;

    /** 联办机构 */
    private List<String> jointInfoShowList;

    /** 办理类型 */
    private List<String> doThingTypeShowList;

    /** 是否收费 */
    private List<String> isChargesShowList;

    /** 服务对象 */
    private List<String> appoveObjectShowList;

    /** 办件类型 */
    private List<String> appoveTimeLimitShowList;

    /** 是否进驻中心 */
    private List<String> goveServiceCenterShowList;

    /** 是否纳入政务服务中心 */
    private List<String> isGoveCenterShowList;

    /** 是否纳入便民服务中心 */
    private List<String> isConvenientCenterShowList;

    /** 公示时限 */
    private List<String> pubTimeShowList;

    /** 认证等级需求 */
    private List<String> certificationLevelsShowList;

    /** 是否网上预约(窗口办 */
    private List<String> isOnlineSubscribeShowList;

    /** 网上支付 */
    private List<String> isOnlinePayShowList;

    /** 物流快递(窗口办理选 */
    private List<String> isExpressTakeShowList;

    /** 物流快递(网上办理选 */
    private List<String> isExpressTakeOnlineShowList;

    /** 咨询电话 */
    private List<String> cousultingTelephoneShowList;

    /** 投诉电话 */
    private List<String> supervisoryTelephoneShowList;

    /** 办公时间 */
    private List<String> handleTimeShowList;

    /** 办公地址 */
    private List<String> handlePlaceShowList;

    /** 节日类型 */
    private List<String> daysTypeShowList;

    /** 是否支持上门收取申请 */
    private List<String> isDoorTakeShowList;

    /** 行业 */
    private List<String> tradeShowList;

    /** 是否支持全省范围就近 */
    private List<String> isApplyProvinceShowList;

    /** 是否支持全省范围就近 */
    private List<String> isProvinceAcquisitionShowList;

    /** 事项来源 */
    private List<String> eventSourceShowList;

    /** 权力来源  */
    private List<String> powerSourceShowList;

    /** 通办范围  */
    private List<String> operatScopeShowList;

    /** 审批结果类型 */
    private List<String> applyresultTypeShowList;

    /** 审查类型 */
    private List<String> typeOfReviewList;

    /** 实施机构 */
    private List<String> enforcementList;

    /** 委托部门 */
    private List<String> entrustmentDepartmenList;

    /** 服务主题分类 */
    private List<String> serviceClassificationList;

    /** 许可数量 */
    private List<String> licenseNumberList;

    /** 通办范围 */
    private List<String> specialProcedureList;

    /** 开始 办事者到办理现场次数 */
    private Integer numberStart;

    /** 结束 办事者到办理现场次数 */
    private Integer numberEnd;

    /** 增加 办事者到办理现场次数 */
    private Integer numberIncrement;

    /** 办事者到办理现场次数 */
    private List <Integer> numberList;

    /** 办理查询 */
    private List<String> inquireList;

    /** 办理结果名称 */
    private List<String> handlingresultNamesList;

    /** 审批结果样本 */
    private List<String> sampleApprovalResultsList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序 */
    private List <Integer> sortList;

    /** 开始 是否样表展示1是 0否 */
    private Integer mattertypeStart;

    /** 结束 是否样表展示1是 0否 */
    private Integer mattertypeEnd;

    /** 增加 是否样表展示1是 0否 */
    private Integer mattertypeIncrement;

    /** 是否样表展示1是 0否 */
    private List <Integer> mattertypeList;
    /** 开始  */
    private Long clicknumStart;

    /** 结束  */
    private Long clicknumEnd;

    /** 增加  */
    private Long clicknumIncrement;

    /**  */
    private List <Long> clicknumList;


    /** 实施主题 */
    private List<String> performDeptNameList;

    /** html存储地址 */
    private List<String> htmlList;

    /** 全债清单类型 */
    private List<String> eventTypeList;

    /** 开始  */
    private Integer shardKeyStart;

    /** 结束  */
    private Integer shardKeyEnd;

    /** 增加  */
    private Integer shardKeyIncrement;

    /**  */
    private List <Integer> shardKeyList;

    /** 开始 个人1 */
    private Integer parsonStart;

    /** 结束 个人1 */
    private Integer parsonEnd;

    /** 增加 个人1 */
    private Integer parsonIncrement;

    /** 个人1 */
    private List <Integer> parsonList;

    /** 开始 法人 1 */
    private Integer lengalStart;

    /** 结束 法人 1 */
    private Integer lengalEnd;

    /** 增加 法人 1 */
    private Integer lengalIncrement;

    /** 法人 1 */
    private List <Integer> lengalList;

    /** 总材料说明 */
    private List<String> materialRemarkList;

    /** 网办类型 */
    private List<String> onlineTypeList;

    /** 事项二维码 */
    private List<String> codeurlList;

    /** 英语事项名 */
    private List<String> englishNameList;

    /** 行使方式 */
    private List<String> applyObjectList;

    /** 行使方式 */
    private List<String> isUniteAcceptList;

    /** 法定办结时限说明 */
    private List<String> legalTimeLimitInfoList;

    /** 承诺办结时限说明 */
    private List<String> promiseTimeLimitInfoList;

    /** 事项状态 */
    private List<String> validList;

    /** 收费标准及依据 */
    private List<String> chargesShowList;

    /** 开始 是否乡镇 1是 */
    private Integer istownStart;

    /** 结束 是否乡镇 1是 */
    private Integer istownEnd;

    /** 增加 是否乡镇 1是 */
    private Integer istownIncrement;

    /** 是否乡镇 1是 */
    private List <Integer> istownList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<YthMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<YthMatterQuery> andConditionList;


    public YthMatterQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 从政务系统来的事项id
    * @return tidList
    */
    public List<String> getTidList(){
        return this.tidList;
    }

    /**
    * 设置 从政务系统来的事项id
    * @param tidList
    */
    public void setTidList(List<String> tidList){
        this.tidList = tidList;
    }
    /**
    * 获取 从政务系统来的事项code
    * @return tcodeList
    */
    public List<String> getTcodeList(){
        return this.tcodeList;
    }

    /**
    * 设置 从政务系统来的事项code
    * @param tcodeList
    */
    public void setTcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
    }
    /**
    * 获取 从政务系统来的事项name
    * @return tnameList
    */
    public List<String> getTnameList(){
        return this.tnameList;
    }

    /**
    * 设置 从政务系统来的事项name
    * @param tnameList
    */
    public void setTnameList(List<String> tnameList){
        this.tnameList = tnameList;
    }
    /**
    * 获取 部门编号
    * @return deptcodeList
    */
    public List<String> getDeptcodeList(){
        return this.deptcodeList;
    }

    /**
    * 设置 部门编号
    * @param deptcodeList
    */
    public void setDeptcodeList(List<String> deptcodeList){
        this.deptcodeList = deptcodeList;
    }
    /**
    * 获取 主题类型
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 主题类型
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }
    /**
    * 获取 目录清单编码
    * @return dirListCodeList
    */
    public List<String> getDirListCodeList(){
        return this.dirListCodeList;
    }

    /**
    * 设置 目录清单编码
    * @param dirListCodeList
    */
    public void setDirListCodeList(List<String> dirListCodeList){
        this.dirListCodeList = dirListCodeList;
    }
    /**
    * 获取 事项类型名称
    * @return eventTypeShowList
    */
    public List<String> getEventTypeShowList(){
        return this.eventTypeShowList;
    }

    /**
    * 设置 事项类型名称
    * @param eventTypeShowList
    */
    public void setEventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
    }
    /**
    * 获取 行使层级名称
    * @return performHierarchyShowList
    */
    public List<String> getPerformHierarchyShowList(){
        return this.performHierarchyShowList;
    }

    /**
    * 设置 行使层级名称
    * @param performHierarchyShowList
    */
    public void setPerformHierarchyShowList(List<String> performHierarchyShowList){
        this.performHierarchyShowList = performHierarchyShowList;
    }
    /**
    * 获取 运行系统名称
    * @return runSystemShowList
    */
    public List<String> getRunSystemShowList(){
        return this.runSystemShowList;
    }

    /**
    * 设置 运行系统名称
    * @param runSystemShowList
    */
    public void setRunSystemShowList(List<String> runSystemShowList){
        this.runSystemShowList = runSystemShowList;
    }
    /**
    * 获取 实施主体性质
    * @return performDeptTypeShowList
    */
    public List<String> getPerformDeptTypeShowList(){
        return this.performDeptTypeShowList;
    }

    /**
    * 设置 实施主体性质
    * @param performDeptTypeShowList
    */
    public void setPerformDeptTypeShowList(List<String> performDeptTypeShowList){
        this.performDeptTypeShowList = performDeptTypeShowList;
    }
    /**
    * 获取 法定办结时限
    * @return legalTimeLimitShowList
    */
    public List<String> getLegalTimeLimitShowList(){
        return this.legalTimeLimitShowList;
    }

    /**
    * 设置 法定办结时限
    * @param legalTimeLimitShowList
    */
    public void setLegalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
    }
    /**
    * 获取 承诺办结时限
    * @return promiseTimeLimitShowList
    */
    public List<String> getPromiseTimeLimitShowList(){
        return this.promiseTimeLimitShowList;
    }

    /**
    * 设置 承诺办结时限
    * @param promiseTimeLimitShowList
    */
    public void setPromiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
    }
    /**
    * 获取 联审信息
    * @return jointReviewInfoShowList
    */
    public List<String> getJointReviewInfoShowList(){
        return this.jointReviewInfoShowList;
    }

    /**
    * 设置 联审信息
    * @param jointReviewInfoShowList
    */
    public void setJointReviewInfoShowList(List<String> jointReviewInfoShowList){
        this.jointReviewInfoShowList = jointReviewInfoShowList;
    }
    /**
    * 获取 联办机构
    * @return jointInfoShowList
    */
    public List<String> getJointInfoShowList(){
        return this.jointInfoShowList;
    }

    /**
    * 设置 联办机构
    * @param jointInfoShowList
    */
    public void setJointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
    }
    /**
    * 获取 办理类型
    * @return doThingTypeShowList
    */
    public List<String> getDoThingTypeShowList(){
        return this.doThingTypeShowList;
    }

    /**
    * 设置 办理类型
    * @param doThingTypeShowList
    */
    public void setDoThingTypeShowList(List<String> doThingTypeShowList){
        this.doThingTypeShowList = doThingTypeShowList;
    }
    /**
    * 获取 是否收费
    * @return isChargesShowList
    */
    public List<String> getIsChargesShowList(){
        return this.isChargesShowList;
    }

    /**
    * 设置 是否收费
    * @param isChargesShowList
    */
    public void setIsChargesShowList(List<String> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
    }
    /**
    * 获取 服务对象
    * @return appoveObjectShowList
    */
    public List<String> getAppoveObjectShowList(){
        return this.appoveObjectShowList;
    }

    /**
    * 设置 服务对象
    * @param appoveObjectShowList
    */
    public void setAppoveObjectShowList(List<String> appoveObjectShowList){
        this.appoveObjectShowList = appoveObjectShowList;
    }
    /**
    * 获取 办件类型
    * @return appoveTimeLimitShowList
    */
    public List<String> getAppoveTimeLimitShowList(){
        return this.appoveTimeLimitShowList;
    }

    /**
    * 设置 办件类型
    * @param appoveTimeLimitShowList
    */
    public void setAppoveTimeLimitShowList(List<String> appoveTimeLimitShowList){
        this.appoveTimeLimitShowList = appoveTimeLimitShowList;
    }
    /**
    * 获取 是否进驻中心
    * @return goveServiceCenterShowList
    */
    public List<String> getGoveServiceCenterShowList(){
        return this.goveServiceCenterShowList;
    }

    /**
    * 设置 是否进驻中心
    * @param goveServiceCenterShowList
    */
    public void setGoveServiceCenterShowList(List<String> goveServiceCenterShowList){
        this.goveServiceCenterShowList = goveServiceCenterShowList;
    }
    /**
    * 获取 是否纳入政务服务中心
    * @return isGoveCenterShowList
    */
    public List<String> getIsGoveCenterShowList(){
        return this.isGoveCenterShowList;
    }

    /**
    * 设置 是否纳入政务服务中心
    * @param isGoveCenterShowList
    */
    public void setIsGoveCenterShowList(List<String> isGoveCenterShowList){
        this.isGoveCenterShowList = isGoveCenterShowList;
    }
    /**
    * 获取 是否纳入便民服务中心
    * @return isConvenientCenterShowList
    */
    public List<String> getIsConvenientCenterShowList(){
        return this.isConvenientCenterShowList;
    }

    /**
    * 设置 是否纳入便民服务中心
    * @param isConvenientCenterShowList
    */
    public void setIsConvenientCenterShowList(List<String> isConvenientCenterShowList){
        this.isConvenientCenterShowList = isConvenientCenterShowList;
    }
    /**
    * 获取 公示时限
    * @return pubTimeShowList
    */
    public List<String> getPubTimeShowList(){
        return this.pubTimeShowList;
    }

    /**
    * 设置 公示时限
    * @param pubTimeShowList
    */
    public void setPubTimeShowList(List<String> pubTimeShowList){
        this.pubTimeShowList = pubTimeShowList;
    }
    /**
    * 获取 认证等级需求
    * @return certificationLevelsShowList
    */
    public List<String> getCertificationLevelsShowList(){
        return this.certificationLevelsShowList;
    }

    /**
    * 设置 认证等级需求
    * @param certificationLevelsShowList
    */
    public void setCertificationLevelsShowList(List<String> certificationLevelsShowList){
        this.certificationLevelsShowList = certificationLevelsShowList;
    }
    /**
    * 获取 是否网上预约(窗口办
    * @return isOnlineSubscribeShowList
    */
    public List<String> getIsOnlineSubscribeShowList(){
        return this.isOnlineSubscribeShowList;
    }

    /**
    * 设置 是否网上预约(窗口办
    * @param isOnlineSubscribeShowList
    */
    public void setIsOnlineSubscribeShowList(List<String> isOnlineSubscribeShowList){
        this.isOnlineSubscribeShowList = isOnlineSubscribeShowList;
    }
    /**
    * 获取 网上支付
    * @return isOnlinePayShowList
    */
    public List<String> getIsOnlinePayShowList(){
        return this.isOnlinePayShowList;
    }

    /**
    * 设置 网上支付
    * @param isOnlinePayShowList
    */
    public void setIsOnlinePayShowList(List<String> isOnlinePayShowList){
        this.isOnlinePayShowList = isOnlinePayShowList;
    }
    /**
    * 获取 物流快递(窗口办理选
    * @return isExpressTakeShowList
    */
    public List<String> getIsExpressTakeShowList(){
        return this.isExpressTakeShowList;
    }

    /**
    * 设置 物流快递(窗口办理选
    * @param isExpressTakeShowList
    */
    public void setIsExpressTakeShowList(List<String> isExpressTakeShowList){
        this.isExpressTakeShowList = isExpressTakeShowList;
    }
    /**
    * 获取 物流快递(网上办理选
    * @return isExpressTakeOnlineShowList
    */
    public List<String> getIsExpressTakeOnlineShowList(){
        return this.isExpressTakeOnlineShowList;
    }

    /**
    * 设置 物流快递(网上办理选
    * @param isExpressTakeOnlineShowList
    */
    public void setIsExpressTakeOnlineShowList(List<String> isExpressTakeOnlineShowList){
        this.isExpressTakeOnlineShowList = isExpressTakeOnlineShowList;
    }
    /**
    * 获取 咨询电话
    * @return cousultingTelephoneShowList
    */
    public List<String> getCousultingTelephoneShowList(){
        return this.cousultingTelephoneShowList;
    }

    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShowList
    */
    public void setCousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
    }
    /**
    * 获取 投诉电话
    * @return supervisoryTelephoneShowList
    */
    public List<String> getSupervisoryTelephoneShowList(){
        return this.supervisoryTelephoneShowList;
    }

    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShowList
    */
    public void setSupervisoryTelephoneShowList(List<String> supervisoryTelephoneShowList){
        this.supervisoryTelephoneShowList = supervisoryTelephoneShowList;
    }
    /**
    * 获取 办公时间
    * @return handleTimeShowList
    */
    public List<String> getHandleTimeShowList(){
        return this.handleTimeShowList;
    }

    /**
    * 设置 办公时间
    * @param handleTimeShowList
    */
    public void setHandleTimeShowList(List<String> handleTimeShowList){
        this.handleTimeShowList = handleTimeShowList;
    }
    /**
    * 获取 办公地址
    * @return handlePlaceShowList
    */
    public List<String> getHandlePlaceShowList(){
        return this.handlePlaceShowList;
    }

    /**
    * 设置 办公地址
    * @param handlePlaceShowList
    */
    public void setHandlePlaceShowList(List<String> handlePlaceShowList){
        this.handlePlaceShowList = handlePlaceShowList;
    }
    /**
    * 获取 节日类型
    * @return daysTypeShowList
    */
    public List<String> getDaysTypeShowList(){
        return this.daysTypeShowList;
    }

    /**
    * 设置 节日类型
    * @param daysTypeShowList
    */
    public void setDaysTypeShowList(List<String> daysTypeShowList){
        this.daysTypeShowList = daysTypeShowList;
    }
    /**
    * 获取 是否支持上门收取申请
    * @return isDoorTakeShowList
    */
    public List<String> getIsDoorTakeShowList(){
        return this.isDoorTakeShowList;
    }

    /**
    * 设置 是否支持上门收取申请
    * @param isDoorTakeShowList
    */
    public void setIsDoorTakeShowList(List<String> isDoorTakeShowList){
        this.isDoorTakeShowList = isDoorTakeShowList;
    }
    /**
    * 获取 行业
    * @return tradeShowList
    */
    public List<String> getTradeShowList(){
        return this.tradeShowList;
    }

    /**
    * 设置 行业
    * @param tradeShowList
    */
    public void setTradeShowList(List<String> tradeShowList){
        this.tradeShowList = tradeShowList;
    }
    /**
    * 获取 是否支持全省范围就近
    * @return isApplyProvinceShowList
    */
    public List<String> getIsApplyProvinceShowList(){
        return this.isApplyProvinceShowList;
    }

    /**
    * 设置 是否支持全省范围就近
    * @param isApplyProvinceShowList
    */
    public void setIsApplyProvinceShowList(List<String> isApplyProvinceShowList){
        this.isApplyProvinceShowList = isApplyProvinceShowList;
    }
    /**
    * 获取 是否支持全省范围就近
    * @return isProvinceAcquisitionShowList
    */
    public List<String> getIsProvinceAcquisitionShowList(){
        return this.isProvinceAcquisitionShowList;
    }

    /**
    * 设置 是否支持全省范围就近
    * @param isProvinceAcquisitionShowList
    */
    public void setIsProvinceAcquisitionShowList(List<String> isProvinceAcquisitionShowList){
        this.isProvinceAcquisitionShowList = isProvinceAcquisitionShowList;
    }
    /**
    * 获取 事项来源
    * @return eventSourceShowList
    */
    public List<String> getEventSourceShowList(){
        return this.eventSourceShowList;
    }

    /**
    * 设置 事项来源
    * @param eventSourceShowList
    */
    public void setEventSourceShowList(List<String> eventSourceShowList){
        this.eventSourceShowList = eventSourceShowList;
    }
    /**
    * 获取 权力来源 
    * @return powerSourceShowList
    */
    public List<String> getPowerSourceShowList(){
        return this.powerSourceShowList;
    }

    /**
    * 设置 权力来源 
    * @param powerSourceShowList
    */
    public void setPowerSourceShowList(List<String> powerSourceShowList){
        this.powerSourceShowList = powerSourceShowList;
    }
    /**
    * 获取 通办范围 
    * @return operatScopeShowList
    */
    public List<String> getOperatScopeShowList(){
        return this.operatScopeShowList;
    }

    /**
    * 设置 通办范围 
    * @param operatScopeShowList
    */
    public void setOperatScopeShowList(List<String> operatScopeShowList){
        this.operatScopeShowList = operatScopeShowList;
    }
    /**
    * 获取 审批结果类型
    * @return applyresultTypeShowList
    */
    public List<String> getApplyresultTypeShowList(){
        return this.applyresultTypeShowList;
    }

    /**
    * 设置 审批结果类型
    * @param applyresultTypeShowList
    */
    public void setApplyresultTypeShowList(List<String> applyresultTypeShowList){
        this.applyresultTypeShowList = applyresultTypeShowList;
    }
    /**
    * 获取 审查类型
    * @return typeOfReviewList
    */
    public List<String> getTypeOfReviewList(){
        return this.typeOfReviewList;
    }

    /**
    * 设置 审查类型
    * @param typeOfReviewList
    */
    public void setTypeOfReviewList(List<String> typeOfReviewList){
        this.typeOfReviewList = typeOfReviewList;
    }
    /**
    * 获取 实施机构
    * @return enforcementList
    */
    public List<String> getEnforcementList(){
        return this.enforcementList;
    }

    /**
    * 设置 实施机构
    * @param enforcementList
    */
    public void setEnforcementList(List<String> enforcementList){
        this.enforcementList = enforcementList;
    }
    /**
    * 获取 委托部门
    * @return entrustmentDepartmenList
    */
    public List<String> getEntrustmentDepartmenList(){
        return this.entrustmentDepartmenList;
    }

    /**
    * 设置 委托部门
    * @param entrustmentDepartmenList
    */
    public void setEntrustmentDepartmenList(List<String> entrustmentDepartmenList){
        this.entrustmentDepartmenList = entrustmentDepartmenList;
    }
    /**
    * 获取 服务主题分类
    * @return serviceClassificationList
    */
    public List<String> getServiceClassificationList(){
        return this.serviceClassificationList;
    }

    /**
    * 设置 服务主题分类
    * @param serviceClassificationList
    */
    public void setServiceClassificationList(List<String> serviceClassificationList){
        this.serviceClassificationList = serviceClassificationList;
    }
    /**
    * 获取 许可数量
    * @return licenseNumberList
    */
    public List<String> getLicenseNumberList(){
        return this.licenseNumberList;
    }

    /**
    * 设置 许可数量
    * @param licenseNumberList
    */
    public void setLicenseNumberList(List<String> licenseNumberList){
        this.licenseNumberList = licenseNumberList;
    }
    /**
    * 获取 通办范围
    * @return specialProcedureList
    */
    public List<String> getSpecialProcedureList(){
        return this.specialProcedureList;
    }

    /**
    * 设置 通办范围
    * @param specialProcedureList
    */
    public void setSpecialProcedureList(List<String> specialProcedureList){
        this.specialProcedureList = specialProcedureList;
    }
    /**
    * 获取 开始 办事者到办理现场次数
    * @return numberStart
    */
    public Integer getNumberStart(){
        return this.numberStart;
    }

    /**
    * 设置 开始 办事者到办理现场次数
    * @param numberStart
    */
    public void setNumberStart(Integer numberStart){
        this.numberStart = numberStart;
    }

    /**
    * 获取 结束 办事者到办理现场次数
    * @return numberEnd
    */
    public Integer getNumberEnd(){
        return this.numberEnd;
    }

    /**
    * 设置 结束 办事者到办理现场次数
    * @param numberEnd
    */
    public void setNumberEnd(Integer numberEnd){
        this.numberEnd = numberEnd;
    }

    /**
    * 获取 增加 办事者到办理现场次数
    * @return numberIncrement
    */
    public Integer getNumberIncrement(){
        return this.numberIncrement;
    }

    /**
    * 设置 增加 办事者到办理现场次数
    * @param numberIncrement
    */
    public void setNumberIncrement(Integer numberIncrement){
        this.numberIncrement = numberIncrement;
    }

    /**
    * 获取 办事者到办理现场次数
    * @return numberList
    */
    public List<Integer> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 办事者到办理现场次数
    * @param numberList
    */
    public void setNumberList(List<Integer> numberList){
        this.numberList = numberList;
    }
    /**
    * 获取 办理查询
    * @return inquireList
    */
    public List<String> getInquireList(){
        return this.inquireList;
    }

    /**
    * 设置 办理查询
    * @param inquireList
    */
    public void setInquireList(List<String> inquireList){
        this.inquireList = inquireList;
    }
    /**
    * 获取 办理结果名称
    * @return handlingresultNamesList
    */
    public List<String> getHandlingresultNamesList(){
        return this.handlingresultNamesList;
    }

    /**
    * 设置 办理结果名称
    * @param handlingresultNamesList
    */
    public void setHandlingresultNamesList(List<String> handlingresultNamesList){
        this.handlingresultNamesList = handlingresultNamesList;
    }
    /**
    * 获取 审批结果样本
    * @return sampleApprovalResultsList
    */
    public List<String> getSampleApprovalResultsList(){
        return this.sampleApprovalResultsList;
    }

    /**
    * 设置 审批结果样本
    * @param sampleApprovalResultsList
    */
    public void setSampleApprovalResultsList(List<String> sampleApprovalResultsList){
        this.sampleApprovalResultsList = sampleApprovalResultsList;
    }
    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }
    /**
    * 获取 开始 是否样表展示1是 0否
    * @return mattertypeStart
    */
    public Integer getMattertypeStart(){
        return this.mattertypeStart;
    }

    /**
    * 设置 开始 是否样表展示1是 0否
    * @param mattertypeStart
    */
    public void setMattertypeStart(Integer mattertypeStart){
        this.mattertypeStart = mattertypeStart;
    }

    /**
    * 获取 结束 是否样表展示1是 0否
    * @return mattertypeEnd
    */
    public Integer getMattertypeEnd(){
        return this.mattertypeEnd;
    }

    /**
    * 设置 结束 是否样表展示1是 0否
    * @param mattertypeEnd
    */
    public void setMattertypeEnd(Integer mattertypeEnd){
        this.mattertypeEnd = mattertypeEnd;
    }

    /**
    * 获取 增加 是否样表展示1是 0否
    * @return mattertypeIncrement
    */
    public Integer getMattertypeIncrement(){
        return this.mattertypeIncrement;
    }

    /**
    * 设置 增加 是否样表展示1是 0否
    * @param mattertypeIncrement
    */
    public void setMattertypeIncrement(Integer mattertypeIncrement){
        this.mattertypeIncrement = mattertypeIncrement;
    }

    /**
    * 获取 是否样表展示1是 0否
    * @return mattertypeList
    */
    public List<Integer> getMattertypeList(){
        return this.mattertypeList;
    }

    /**
    * 设置 是否样表展示1是 0否
    * @param mattertypeList
    */
    public void setMattertypeList(List<Integer> mattertypeList){
        this.mattertypeList = mattertypeList;
    }
    /**
    * 获取 开始 
    * @return clicknumStart
    */
    public Long getClicknumStart(){
    return this.clicknumStart;
    }

    /**
    * 设置 开始 
    * @param clicknumStart
    */
    public void setClicknumStart(Long clicknumStart){
    this.clicknumStart = clicknumStart;
    }

    /**
    * 获取 结束 
    * @return clicknumEnd
    */
    public Long getClicknumEnd(){
    return this.clicknumEnd;
    }

    /**
    * 设置 结束 
    * @param clicknumEnd
    */
    public void setClicknumEnd(Long clicknumEnd){
    this.clicknumEnd = clicknumEnd;
    }

    /**
    * 获取 增加 
    * @return clicknumIncrement
    */
    public Long getClicknumIncrement(){
    return this.clicknumIncrement;
    }

    /**
    * 设置 增加 
    * @param clicknumIncrement
    */
    public void setClicknumIncrement(Long clicknumIncrement){
    this.clicknumIncrement = clicknumIncrement;
    }

    /**
    * 获取 
    * @return clicknumList
    */
    public List<Long> getClicknumList(){
    return this.clicknumList;
    }

    /**
    * 设置 
    * @param clicknumList
    */
    public void setClicknumList(List<Long> clicknumList){
        this.clicknumList = clicknumList;
        }
    /**
    * 获取 实施主题
    * @return performDeptNameList
    */
    public List<String> getPerformDeptNameList(){
        return this.performDeptNameList;
    }

    /**
    * 设置 实施主题
    * @param performDeptNameList
    */
    public void setPerformDeptNameList(List<String> performDeptNameList){
        this.performDeptNameList = performDeptNameList;
    }
    /**
    * 获取 html存储地址
    * @return htmlList
    */
    public List<String> getHtmlList(){
        return this.htmlList;
    }

    /**
    * 设置 html存储地址
    * @param htmlList
    */
    public void setHtmlList(List<String> htmlList){
        this.htmlList = htmlList;
    }
    /**
    * 获取 全债清单类型
    * @return eventTypeList
    */
    public List<String> getEventTypeList(){
        return this.eventTypeList;
    }

    /**
    * 设置 全债清单类型
    * @param eventTypeList
    */
    public void setEventTypeList(List<String> eventTypeList){
        this.eventTypeList = eventTypeList;
    }
    /**
    * 获取 开始 
    * @return shardKeyStart
    */
    public Integer getShardKeyStart(){
        return this.shardKeyStart;
    }

    /**
    * 设置 开始 
    * @param shardKeyStart
    */
    public void setShardKeyStart(Integer shardKeyStart){
        this.shardKeyStart = shardKeyStart;
    }

    /**
    * 获取 结束 
    * @return shardKeyEnd
    */
    public Integer getShardKeyEnd(){
        return this.shardKeyEnd;
    }

    /**
    * 设置 结束 
    * @param shardKeyEnd
    */
    public void setShardKeyEnd(Integer shardKeyEnd){
        this.shardKeyEnd = shardKeyEnd;
    }

    /**
    * 获取 增加 
    * @return shardKeyIncrement
    */
    public Integer getShardKeyIncrement(){
        return this.shardKeyIncrement;
    }

    /**
    * 设置 增加 
    * @param shardKeyIncrement
    */
    public void setShardKeyIncrement(Integer shardKeyIncrement){
        this.shardKeyIncrement = shardKeyIncrement;
    }

    /**
    * 获取 
    * @return shardKeyList
    */
    public List<Integer> getShardKeyList(){
        return this.shardKeyList;
    }

    /**
    * 设置 
    * @param shardKeyList
    */
    public void setShardKeyList(List<Integer> shardKeyList){
        this.shardKeyList = shardKeyList;
    }
    /**
    * 获取 开始 个人1
    * @return parsonStart
    */
    public Integer getParsonStart(){
        return this.parsonStart;
    }

    /**
    * 设置 开始 个人1
    * @param parsonStart
    */
    public void setParsonStart(Integer parsonStart){
        this.parsonStart = parsonStart;
    }

    /**
    * 获取 结束 个人1
    * @return parsonEnd
    */
    public Integer getParsonEnd(){
        return this.parsonEnd;
    }

    /**
    * 设置 结束 个人1
    * @param parsonEnd
    */
    public void setParsonEnd(Integer parsonEnd){
        this.parsonEnd = parsonEnd;
    }

    /**
    * 获取 增加 个人1
    * @return parsonIncrement
    */
    public Integer getParsonIncrement(){
        return this.parsonIncrement;
    }

    /**
    * 设置 增加 个人1
    * @param parsonIncrement
    */
    public void setParsonIncrement(Integer parsonIncrement){
        this.parsonIncrement = parsonIncrement;
    }

    /**
    * 获取 个人1
    * @return parsonList
    */
    public List<Integer> getParsonList(){
        return this.parsonList;
    }

    /**
    * 设置 个人1
    * @param parsonList
    */
    public void setParsonList(List<Integer> parsonList){
        this.parsonList = parsonList;
    }
    /**
    * 获取 开始 法人 1
    * @return lengalStart
    */
    public Integer getLengalStart(){
        return this.lengalStart;
    }

    /**
    * 设置 开始 法人 1
    * @param lengalStart
    */
    public void setLengalStart(Integer lengalStart){
        this.lengalStart = lengalStart;
    }

    /**
    * 获取 结束 法人 1
    * @return lengalEnd
    */
    public Integer getLengalEnd(){
        return this.lengalEnd;
    }

    /**
    * 设置 结束 法人 1
    * @param lengalEnd
    */
    public void setLengalEnd(Integer lengalEnd){
        this.lengalEnd = lengalEnd;
    }

    /**
    * 获取 增加 法人 1
    * @return lengalIncrement
    */
    public Integer getLengalIncrement(){
        return this.lengalIncrement;
    }

    /**
    * 设置 增加 法人 1
    * @param lengalIncrement
    */
    public void setLengalIncrement(Integer lengalIncrement){
        this.lengalIncrement = lengalIncrement;
    }

    /**
    * 获取 法人 1
    * @return lengalList
    */
    public List<Integer> getLengalList(){
        return this.lengalList;
    }

    /**
    * 设置 法人 1
    * @param lengalList
    */
    public void setLengalList(List<Integer> lengalList){
        this.lengalList = lengalList;
    }
    /**
    * 获取 总材料说明
    * @return materialRemarkList
    */
    public List<String> getMaterialRemarkList(){
        return this.materialRemarkList;
    }

    /**
    * 设置 总材料说明
    * @param materialRemarkList
    */
    public void setMaterialRemarkList(List<String> materialRemarkList){
        this.materialRemarkList = materialRemarkList;
    }
    /**
    * 获取 网办类型
    * @return onlineTypeList
    */
    public List<String> getOnlineTypeList(){
        return this.onlineTypeList;
    }

    /**
    * 设置 网办类型
    * @param onlineTypeList
    */
    public void setOnlineTypeList(List<String> onlineTypeList){
        this.onlineTypeList = onlineTypeList;
    }
    /**
    * 获取 事项二维码
    * @return codeurlList
    */
    public List<String> getCodeurlList(){
        return this.codeurlList;
    }

    /**
    * 设置 事项二维码
    * @param codeurlList
    */
    public void setCodeurlList(List<String> codeurlList){
        this.codeurlList = codeurlList;
    }
    /**
    * 获取 英语事项名
    * @return englishNameList
    */
    public List<String> getEnglishNameList(){
        return this.englishNameList;
    }

    /**
    * 设置 英语事项名
    * @param englishNameList
    */
    public void setEnglishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
    }
    /**
    * 获取 行使方式
    * @return applyObjectList
    */
    public List<String> getApplyObjectList(){
        return this.applyObjectList;
    }

    /**
    * 设置 行使方式
    * @param applyObjectList
    */
    public void setApplyObjectList(List<String> applyObjectList){
        this.applyObjectList = applyObjectList;
    }
    /**
    * 获取 行使方式
    * @return isUniteAcceptList
    */
    public List<String> getIsUniteAcceptList(){
        return this.isUniteAcceptList;
    }

    /**
    * 设置 行使方式
    * @param isUniteAcceptList
    */
    public void setIsUniteAcceptList(List<String> isUniteAcceptList){
        this.isUniteAcceptList = isUniteAcceptList;
    }
    /**
    * 获取 法定办结时限说明
    * @return legalTimeLimitInfoList
    */
    public List<String> getLegalTimeLimitInfoList(){
        return this.legalTimeLimitInfoList;
    }

    /**
    * 设置 法定办结时限说明
    * @param legalTimeLimitInfoList
    */
    public void setLegalTimeLimitInfoList(List<String> legalTimeLimitInfoList){
        this.legalTimeLimitInfoList = legalTimeLimitInfoList;
    }
    /**
    * 获取 承诺办结时限说明
    * @return promiseTimeLimitInfoList
    */
    public List<String> getPromiseTimeLimitInfoList(){
        return this.promiseTimeLimitInfoList;
    }

    /**
    * 设置 承诺办结时限说明
    * @param promiseTimeLimitInfoList
    */
    public void setPromiseTimeLimitInfoList(List<String> promiseTimeLimitInfoList){
        this.promiseTimeLimitInfoList = promiseTimeLimitInfoList;
    }
    /**
    * 获取 事项状态
    * @return validList
    */
    public List<String> getValidList(){
        return this.validList;
    }

    /**
    * 设置 事项状态
    * @param validList
    */
    public void setValidList(List<String> validList){
        this.validList = validList;
    }
    /**
    * 获取 收费标准及依据
    * @return chargesShowList
    */
    public List<String> getChargesShowList(){
        return this.chargesShowList;
    }

    /**
    * 设置 收费标准及依据
    * @param chargesShowList
    */
    public void setChargesShowList(List<String> chargesShowList){
        this.chargesShowList = chargesShowList;
    }
    /**
    * 获取 开始 是否乡镇 1是
    * @return istownStart
    */
    public Integer getIstownStart(){
        return this.istownStart;
    }

    /**
    * 设置 开始 是否乡镇 1是
    * @param istownStart
    */
    public void setIstownStart(Integer istownStart){
        this.istownStart = istownStart;
    }

    /**
    * 获取 结束 是否乡镇 1是
    * @return istownEnd
    */
    public Integer getIstownEnd(){
        return this.istownEnd;
    }

    /**
    * 设置 结束 是否乡镇 1是
    * @param istownEnd
    */
    public void setIstownEnd(Integer istownEnd){
        this.istownEnd = istownEnd;
    }

    /**
    * 获取 增加 是否乡镇 1是
    * @return istownIncrement
    */
    public Integer getIstownIncrement(){
        return this.istownIncrement;
    }

    /**
    * 设置 增加 是否乡镇 1是
    * @param istownIncrement
    */
    public void setIstownIncrement(Integer istownIncrement){
        this.istownIncrement = istownIncrement;
    }

    /**
    * 获取 是否乡镇 1是
    * @return istownList
    */
    public List<Integer> getIstownList(){
        return this.istownList;
    }

    /**
    * 设置 是否乡镇 1是
    * @param istownList
    */
    public void setIstownList(List<Integer> istownList){
        this.istownList = istownList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public YthMatterQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public YthMatterQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public YthMatterQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public YthMatterQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public YthMatterQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 从政务系统来的事项id
    * @param tid
    */
    public YthMatterQuery tid(String tid){
        setTid(tid);
		return this;
    }


    /**
    * 设置 从政务系统来的事项id
    * @param tidList
    */
    public YthMatterQuery tidList(List<String> tidList){
        this.tidList = tidList;
		return this;
    }
	/**
    * 设置 从政务系统来的事项code
    * @param tcode
    */
    public YthMatterQuery tcode(String tcode){
        setTcode(tcode);
		return this;
    }


    /**
    * 设置 从政务系统来的事项code
    * @param tcodeList
    */
    public YthMatterQuery tcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
		return this;
    }
	/**
    * 设置 从政务系统来的事项name
    * @param tname
    */
    public YthMatterQuery tname(String tname){
        setTname(tname);
		return this;
    }


    /**
    * 设置 从政务系统来的事项name
    * @param tnameList
    */
    public YthMatterQuery tnameList(List<String> tnameList){
        this.tnameList = tnameList;
		return this;
    }
	/**
    * 设置 部门编号
    * @param deptcode
    */
    public YthMatterQuery deptcode(String deptcode){
        setDeptcode(deptcode);
		return this;
    }


    /**
    * 设置 部门编号
    * @param deptcodeList
    */
    public YthMatterQuery deptcodeList(List<String> deptcodeList){
        this.deptcodeList = deptcodeList;
		return this;
    }
	/**
    * 设置 主题类型
    * @param type
    */
    public YthMatterQuery type(String type){
        setType(type);
		return this;
    }


    /**
    * 设置 主题类型
    * @param typeList
    */
    public YthMatterQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }
	/**
    * 设置 目录清单编码
    * @param dirListCode
    */
    public YthMatterQuery dirListCode(String dirListCode){
        setDirListCode(dirListCode);
		return this;
    }


    /**
    * 设置 目录清单编码
    * @param dirListCodeList
    */
    public YthMatterQuery dirListCodeList(List<String> dirListCodeList){
        this.dirListCodeList = dirListCodeList;
		return this;
    }
	/**
    * 设置 事项类型名称
    * @param eventTypeShow
    */
    public YthMatterQuery eventTypeShow(String eventTypeShow){
        setEventTypeShow(eventTypeShow);
		return this;
    }


    /**
    * 设置 事项类型名称
    * @param eventTypeShowList
    */
    public YthMatterQuery eventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
		return this;
    }
	/**
    * 设置 行使层级名称
    * @param performHierarchyShow
    */
    public YthMatterQuery performHierarchyShow(String performHierarchyShow){
        setPerformHierarchyShow(performHierarchyShow);
		return this;
    }


    /**
    * 设置 行使层级名称
    * @param performHierarchyShowList
    */
    public YthMatterQuery performHierarchyShowList(List<String> performHierarchyShowList){
        this.performHierarchyShowList = performHierarchyShowList;
		return this;
    }
	/**
    * 设置 运行系统名称
    * @param runSystemShow
    */
    public YthMatterQuery runSystemShow(String runSystemShow){
        setRunSystemShow(runSystemShow);
		return this;
    }


    /**
    * 设置 运行系统名称
    * @param runSystemShowList
    */
    public YthMatterQuery runSystemShowList(List<String> runSystemShowList){
        this.runSystemShowList = runSystemShowList;
		return this;
    }
	/**
    * 设置 实施主体性质
    * @param performDeptTypeShow
    */
    public YthMatterQuery performDeptTypeShow(String performDeptTypeShow){
        setPerformDeptTypeShow(performDeptTypeShow);
		return this;
    }


    /**
    * 设置 实施主体性质
    * @param performDeptTypeShowList
    */
    public YthMatterQuery performDeptTypeShowList(List<String> performDeptTypeShowList){
        this.performDeptTypeShowList = performDeptTypeShowList;
		return this;
    }
	/**
    * 设置 法定办结时限
    * @param legalTimeLimitShow
    */
    public YthMatterQuery legalTimeLimitShow(String legalTimeLimitShow){
        setLegalTimeLimitShow(legalTimeLimitShow);
		return this;
    }


    /**
    * 设置 法定办结时限
    * @param legalTimeLimitShowList
    */
    public YthMatterQuery legalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
		return this;
    }
	/**
    * 设置 承诺办结时限
    * @param promiseTimeLimitShow
    */
    public YthMatterQuery promiseTimeLimitShow(String promiseTimeLimitShow){
        setPromiseTimeLimitShow(promiseTimeLimitShow);
		return this;
    }


    /**
    * 设置 承诺办结时限
    * @param promiseTimeLimitShowList
    */
    public YthMatterQuery promiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
		return this;
    }
	/**
    * 设置 联审信息
    * @param jointReviewInfoShow
    */
    public YthMatterQuery jointReviewInfoShow(String jointReviewInfoShow){
        setJointReviewInfoShow(jointReviewInfoShow);
		return this;
    }


    /**
    * 设置 联审信息
    * @param jointReviewInfoShowList
    */
    public YthMatterQuery jointReviewInfoShowList(List<String> jointReviewInfoShowList){
        this.jointReviewInfoShowList = jointReviewInfoShowList;
		return this;
    }
	/**
    * 设置 联办机构
    * @param jointInfoShow
    */
    public YthMatterQuery jointInfoShow(String jointInfoShow){
        setJointInfoShow(jointInfoShow);
		return this;
    }


    /**
    * 设置 联办机构
    * @param jointInfoShowList
    */
    public YthMatterQuery jointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
		return this;
    }
	/**
    * 设置 办理类型
    * @param doThingTypeShow
    */
    public YthMatterQuery doThingTypeShow(String doThingTypeShow){
        setDoThingTypeShow(doThingTypeShow);
		return this;
    }


    /**
    * 设置 办理类型
    * @param doThingTypeShowList
    */
    public YthMatterQuery doThingTypeShowList(List<String> doThingTypeShowList){
        this.doThingTypeShowList = doThingTypeShowList;
		return this;
    }
	/**
    * 设置 是否收费
    * @param isChargesShow
    */
    public YthMatterQuery isChargesShow(String isChargesShow){
        setIsChargesShow(isChargesShow);
		return this;
    }


    /**
    * 设置 是否收费
    * @param isChargesShowList
    */
    public YthMatterQuery isChargesShowList(List<String> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
		return this;
    }
	/**
    * 设置 服务对象
    * @param appoveObjectShow
    */
    public YthMatterQuery appoveObjectShow(String appoveObjectShow){
        setAppoveObjectShow(appoveObjectShow);
		return this;
    }


    /**
    * 设置 服务对象
    * @param appoveObjectShowList
    */
    public YthMatterQuery appoveObjectShowList(List<String> appoveObjectShowList){
        this.appoveObjectShowList = appoveObjectShowList;
		return this;
    }
	/**
    * 设置 办件类型
    * @param appoveTimeLimitShow
    */
    public YthMatterQuery appoveTimeLimitShow(String appoveTimeLimitShow){
        setAppoveTimeLimitShow(appoveTimeLimitShow);
		return this;
    }


    /**
    * 设置 办件类型
    * @param appoveTimeLimitShowList
    */
    public YthMatterQuery appoveTimeLimitShowList(List<String> appoveTimeLimitShowList){
        this.appoveTimeLimitShowList = appoveTimeLimitShowList;
		return this;
    }
	/**
    * 设置 是否进驻中心
    * @param goveServiceCenterShow
    */
    public YthMatterQuery goveServiceCenterShow(String goveServiceCenterShow){
        setGoveServiceCenterShow(goveServiceCenterShow);
		return this;
    }


    /**
    * 设置 是否进驻中心
    * @param goveServiceCenterShowList
    */
    public YthMatterQuery goveServiceCenterShowList(List<String> goveServiceCenterShowList){
        this.goveServiceCenterShowList = goveServiceCenterShowList;
		return this;
    }
	/**
    * 设置 是否纳入政务服务中心
    * @param isGoveCenterShow
    */
    public YthMatterQuery isGoveCenterShow(String isGoveCenterShow){
        setIsGoveCenterShow(isGoveCenterShow);
		return this;
    }


    /**
    * 设置 是否纳入政务服务中心
    * @param isGoveCenterShowList
    */
    public YthMatterQuery isGoveCenterShowList(List<String> isGoveCenterShowList){
        this.isGoveCenterShowList = isGoveCenterShowList;
		return this;
    }
	/**
    * 设置 是否纳入便民服务中心
    * @param isConvenientCenterShow
    */
    public YthMatterQuery isConvenientCenterShow(String isConvenientCenterShow){
        setIsConvenientCenterShow(isConvenientCenterShow);
		return this;
    }


    /**
    * 设置 是否纳入便民服务中心
    * @param isConvenientCenterShowList
    */
    public YthMatterQuery isConvenientCenterShowList(List<String> isConvenientCenterShowList){
        this.isConvenientCenterShowList = isConvenientCenterShowList;
		return this;
    }
	/**
    * 设置 公示时限
    * @param pubTimeShow
    */
    public YthMatterQuery pubTimeShow(String pubTimeShow){
        setPubTimeShow(pubTimeShow);
		return this;
    }


    /**
    * 设置 公示时限
    * @param pubTimeShowList
    */
    public YthMatterQuery pubTimeShowList(List<String> pubTimeShowList){
        this.pubTimeShowList = pubTimeShowList;
		return this;
    }
	/**
    * 设置 认证等级需求
    * @param certificationLevelsShow
    */
    public YthMatterQuery certificationLevelsShow(String certificationLevelsShow){
        setCertificationLevelsShow(certificationLevelsShow);
		return this;
    }


    /**
    * 设置 认证等级需求
    * @param certificationLevelsShowList
    */
    public YthMatterQuery certificationLevelsShowList(List<String> certificationLevelsShowList){
        this.certificationLevelsShowList = certificationLevelsShowList;
		return this;
    }
	/**
    * 设置 是否网上预约(窗口办
    * @param isOnlineSubscribeShow
    */
    public YthMatterQuery isOnlineSubscribeShow(String isOnlineSubscribeShow){
        setIsOnlineSubscribeShow(isOnlineSubscribeShow);
		return this;
    }


    /**
    * 设置 是否网上预约(窗口办
    * @param isOnlineSubscribeShowList
    */
    public YthMatterQuery isOnlineSubscribeShowList(List<String> isOnlineSubscribeShowList){
        this.isOnlineSubscribeShowList = isOnlineSubscribeShowList;
		return this;
    }
	/**
    * 设置 网上支付
    * @param isOnlinePayShow
    */
    public YthMatterQuery isOnlinePayShow(String isOnlinePayShow){
        setIsOnlinePayShow(isOnlinePayShow);
		return this;
    }


    /**
    * 设置 网上支付
    * @param isOnlinePayShowList
    */
    public YthMatterQuery isOnlinePayShowList(List<String> isOnlinePayShowList){
        this.isOnlinePayShowList = isOnlinePayShowList;
		return this;
    }
	/**
    * 设置 物流快递(窗口办理选
    * @param isExpressTakeShow
    */
    public YthMatterQuery isExpressTakeShow(String isExpressTakeShow){
        setIsExpressTakeShow(isExpressTakeShow);
		return this;
    }


    /**
    * 设置 物流快递(窗口办理选
    * @param isExpressTakeShowList
    */
    public YthMatterQuery isExpressTakeShowList(List<String> isExpressTakeShowList){
        this.isExpressTakeShowList = isExpressTakeShowList;
		return this;
    }
	/**
    * 设置 物流快递(网上办理选
    * @param isExpressTakeOnlineShow
    */
    public YthMatterQuery isExpressTakeOnlineShow(String isExpressTakeOnlineShow){
        setIsExpressTakeOnlineShow(isExpressTakeOnlineShow);
		return this;
    }


    /**
    * 设置 物流快递(网上办理选
    * @param isExpressTakeOnlineShowList
    */
    public YthMatterQuery isExpressTakeOnlineShowList(List<String> isExpressTakeOnlineShowList){
        this.isExpressTakeOnlineShowList = isExpressTakeOnlineShowList;
		return this;
    }
	/**
    * 设置 咨询电话
    * @param cousultingTelephoneShow
    */
    public YthMatterQuery cousultingTelephoneShow(String cousultingTelephoneShow){
        setCousultingTelephoneShow(cousultingTelephoneShow);
		return this;
    }


    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShowList
    */
    public YthMatterQuery cousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
		return this;
    }
	/**
    * 设置 投诉电话
    * @param supervisoryTelephoneShow
    */
    public YthMatterQuery supervisoryTelephoneShow(String supervisoryTelephoneShow){
        setSupervisoryTelephoneShow(supervisoryTelephoneShow);
		return this;
    }


    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShowList
    */
    public YthMatterQuery supervisoryTelephoneShowList(List<String> supervisoryTelephoneShowList){
        this.supervisoryTelephoneShowList = supervisoryTelephoneShowList;
		return this;
    }
	/**
    * 设置 办公时间
    * @param handleTimeShow
    */
    public YthMatterQuery handleTimeShow(String handleTimeShow){
        setHandleTimeShow(handleTimeShow);
		return this;
    }


    /**
    * 设置 办公时间
    * @param handleTimeShowList
    */
    public YthMatterQuery handleTimeShowList(List<String> handleTimeShowList){
        this.handleTimeShowList = handleTimeShowList;
		return this;
    }
	/**
    * 设置 办公地址
    * @param handlePlaceShow
    */
    public YthMatterQuery handlePlaceShow(String handlePlaceShow){
        setHandlePlaceShow(handlePlaceShow);
		return this;
    }


    /**
    * 设置 办公地址
    * @param handlePlaceShowList
    */
    public YthMatterQuery handlePlaceShowList(List<String> handlePlaceShowList){
        this.handlePlaceShowList = handlePlaceShowList;
		return this;
    }
	/**
    * 设置 节日类型
    * @param daysTypeShow
    */
    public YthMatterQuery daysTypeShow(String daysTypeShow){
        setDaysTypeShow(daysTypeShow);
		return this;
    }


    /**
    * 设置 节日类型
    * @param daysTypeShowList
    */
    public YthMatterQuery daysTypeShowList(List<String> daysTypeShowList){
        this.daysTypeShowList = daysTypeShowList;
		return this;
    }
	/**
    * 设置 是否支持上门收取申请
    * @param isDoorTakeShow
    */
    public YthMatterQuery isDoorTakeShow(String isDoorTakeShow){
        setIsDoorTakeShow(isDoorTakeShow);
		return this;
    }


    /**
    * 设置 是否支持上门收取申请
    * @param isDoorTakeShowList
    */
    public YthMatterQuery isDoorTakeShowList(List<String> isDoorTakeShowList){
        this.isDoorTakeShowList = isDoorTakeShowList;
		return this;
    }
	/**
    * 设置 行业
    * @param tradeShow
    */
    public YthMatterQuery tradeShow(String tradeShow){
        setTradeShow(tradeShow);
		return this;
    }


    /**
    * 设置 行业
    * @param tradeShowList
    */
    public YthMatterQuery tradeShowList(List<String> tradeShowList){
        this.tradeShowList = tradeShowList;
		return this;
    }
	/**
    * 设置 是否支持全省范围就近
    * @param isApplyProvinceShow
    */
    public YthMatterQuery isApplyProvinceShow(String isApplyProvinceShow){
        setIsApplyProvinceShow(isApplyProvinceShow);
		return this;
    }


    /**
    * 设置 是否支持全省范围就近
    * @param isApplyProvinceShowList
    */
    public YthMatterQuery isApplyProvinceShowList(List<String> isApplyProvinceShowList){
        this.isApplyProvinceShowList = isApplyProvinceShowList;
		return this;
    }
	/**
    * 设置 是否支持全省范围就近
    * @param isProvinceAcquisitionShow
    */
    public YthMatterQuery isProvinceAcquisitionShow(String isProvinceAcquisitionShow){
        setIsProvinceAcquisitionShow(isProvinceAcquisitionShow);
		return this;
    }


    /**
    * 设置 是否支持全省范围就近
    * @param isProvinceAcquisitionShowList
    */
    public YthMatterQuery isProvinceAcquisitionShowList(List<String> isProvinceAcquisitionShowList){
        this.isProvinceAcquisitionShowList = isProvinceAcquisitionShowList;
		return this;
    }
	/**
    * 设置 事项来源
    * @param eventSourceShow
    */
    public YthMatterQuery eventSourceShow(String eventSourceShow){
        setEventSourceShow(eventSourceShow);
		return this;
    }


    /**
    * 设置 事项来源
    * @param eventSourceShowList
    */
    public YthMatterQuery eventSourceShowList(List<String> eventSourceShowList){
        this.eventSourceShowList = eventSourceShowList;
		return this;
    }
	/**
    * 设置 权力来源 
    * @param powerSourceShow
    */
    public YthMatterQuery powerSourceShow(String powerSourceShow){
        setPowerSourceShow(powerSourceShow);
		return this;
    }


    /**
    * 设置 权力来源 
    * @param powerSourceShowList
    */
    public YthMatterQuery powerSourceShowList(List<String> powerSourceShowList){
        this.powerSourceShowList = powerSourceShowList;
		return this;
    }
	/**
    * 设置 通办范围 
    * @param operatScopeShow
    */
    public YthMatterQuery operatScopeShow(String operatScopeShow){
        setOperatScopeShow(operatScopeShow);
		return this;
    }


    /**
    * 设置 通办范围 
    * @param operatScopeShowList
    */
    public YthMatterQuery operatScopeShowList(List<String> operatScopeShowList){
        this.operatScopeShowList = operatScopeShowList;
		return this;
    }
	/**
    * 设置 审批结果类型
    * @param applyresultTypeShow
    */
    public YthMatterQuery applyresultTypeShow(String applyresultTypeShow){
        setApplyresultTypeShow(applyresultTypeShow);
		return this;
    }


    /**
    * 设置 审批结果类型
    * @param applyresultTypeShowList
    */
    public YthMatterQuery applyresultTypeShowList(List<String> applyresultTypeShowList){
        this.applyresultTypeShowList = applyresultTypeShowList;
		return this;
    }
	/**
    * 设置 审查类型
    * @param typeOfReview
    */
    public YthMatterQuery typeOfReview(String typeOfReview){
        setTypeOfReview(typeOfReview);
		return this;
    }


    /**
    * 设置 审查类型
    * @param typeOfReviewList
    */
    public YthMatterQuery typeOfReviewList(List<String> typeOfReviewList){
        this.typeOfReviewList = typeOfReviewList;
		return this;
    }
	/**
    * 设置 实施机构
    * @param enforcement
    */
    public YthMatterQuery enforcement(String enforcement){
        setEnforcement(enforcement);
		return this;
    }


    /**
    * 设置 实施机构
    * @param enforcementList
    */
    public YthMatterQuery enforcementList(List<String> enforcementList){
        this.enforcementList = enforcementList;
		return this;
    }
	/**
    * 设置 委托部门
    * @param entrustmentDepartmen
    */
    public YthMatterQuery entrustmentDepartmen(String entrustmentDepartmen){
        setEntrustmentDepartmen(entrustmentDepartmen);
		return this;
    }


    /**
    * 设置 委托部门
    * @param entrustmentDepartmenList
    */
    public YthMatterQuery entrustmentDepartmenList(List<String> entrustmentDepartmenList){
        this.entrustmentDepartmenList = entrustmentDepartmenList;
		return this;
    }
	/**
    * 设置 服务主题分类
    * @param serviceClassification
    */
    public YthMatterQuery serviceClassification(String serviceClassification){
        setServiceClassification(serviceClassification);
		return this;
    }


    /**
    * 设置 服务主题分类
    * @param serviceClassificationList
    */
    public YthMatterQuery serviceClassificationList(List<String> serviceClassificationList){
        this.serviceClassificationList = serviceClassificationList;
		return this;
    }
	/**
    * 设置 许可数量
    * @param licenseNumber
    */
    public YthMatterQuery licenseNumber(String licenseNumber){
        setLicenseNumber(licenseNumber);
		return this;
    }


    /**
    * 设置 许可数量
    * @param licenseNumberList
    */
    public YthMatterQuery licenseNumberList(List<String> licenseNumberList){
        this.licenseNumberList = licenseNumberList;
		return this;
    }
	/**
    * 设置 通办范围
    * @param specialProcedure
    */
    public YthMatterQuery specialProcedure(String specialProcedure){
        setSpecialProcedure(specialProcedure);
		return this;
    }


    /**
    * 设置 通办范围
    * @param specialProcedureList
    */
    public YthMatterQuery specialProcedureList(List<String> specialProcedureList){
        this.specialProcedureList = specialProcedureList;
		return this;
    }
	
	/**
    * 设置  办事者到办理现场次数
    * @param number
    */
    public YthMatterQuery number(Integer number){
        setNumber(number);
		return this;
    }

    /**
    * 设置 开始 办事者到办理现场次数
    * @param numberStart
    */
    public YthMatterQuery numberStart(Integer numberStart){
        this.numberStart = numberStart;
		return this;
    }


    /**
    * 设置 结束 办事者到办理现场次数
    * @param numberEnd
    */
    public YthMatterQuery numberEnd(Integer numberEnd){
        this.numberEnd = numberEnd;
		return this;
    }


    /**
    * 设置 增加 办事者到办理现场次数
    * @param numberIncrement
    */
    public YthMatterQuery numberIncrement(Integer numberIncrement){
        this.numberIncrement = numberIncrement;
		return this;
    }


    /**
    * 设置 办事者到办理现场次数
    * @param numberList
    */
    public YthMatterQuery numberList(List<Integer> numberList){
        this.numberList = numberList;
		return this;
    }
	/**
    * 设置 办理查询
    * @param inquire
    */
    public YthMatterQuery inquire(String inquire){
        setInquire(inquire);
		return this;
    }


    /**
    * 设置 办理查询
    * @param inquireList
    */
    public YthMatterQuery inquireList(List<String> inquireList){
        this.inquireList = inquireList;
		return this;
    }
	/**
    * 设置 办理结果名称
    * @param handlingresultNames
    */
    public YthMatterQuery handlingresultNames(String handlingresultNames){
        setHandlingresultNames(handlingresultNames);
		return this;
    }


    /**
    * 设置 办理结果名称
    * @param handlingresultNamesList
    */
    public YthMatterQuery handlingresultNamesList(List<String> handlingresultNamesList){
        this.handlingresultNamesList = handlingresultNamesList;
		return this;
    }
	/**
    * 设置 审批结果样本
    * @param sampleApprovalResults
    */
    public YthMatterQuery sampleApprovalResults(String sampleApprovalResults){
        setSampleApprovalResults(sampleApprovalResults);
		return this;
    }


    /**
    * 设置 审批结果样本
    * @param sampleApprovalResultsList
    */
    public YthMatterQuery sampleApprovalResultsList(List<String> sampleApprovalResultsList){
        this.sampleApprovalResultsList = sampleApprovalResultsList;
		return this;
    }
	
	/**
    * 设置  排序
    * @param sort
    */
    public YthMatterQuery sort(Integer sort){
        setSort(sort);
		return this;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public YthMatterQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
		return this;
    }


    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public YthMatterQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
		return this;
    }


    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public YthMatterQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
		return this;
    }


    /**
    * 设置 排序
    * @param sortList
    */
    public YthMatterQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
    }
	
	/**
    * 设置  是否样表展示1是 0否
    * @param mattertype
    */
    public YthMatterQuery mattertype(Integer mattertype){
        setMattertype(mattertype);
		return this;
    }

    /**
    * 设置 开始 是否样表展示1是 0否
    * @param mattertypeStart
    */
    public YthMatterQuery mattertypeStart(Integer mattertypeStart){
        this.mattertypeStart = mattertypeStart;
		return this;
    }


    /**
    * 设置 结束 是否样表展示1是 0否
    * @param mattertypeEnd
    */
    public YthMatterQuery mattertypeEnd(Integer mattertypeEnd){
        this.mattertypeEnd = mattertypeEnd;
		return this;
    }


    /**
    * 设置 增加 是否样表展示1是 0否
    * @param mattertypeIncrement
    */
    public YthMatterQuery mattertypeIncrement(Integer mattertypeIncrement){
        this.mattertypeIncrement = mattertypeIncrement;
		return this;
    }


    /**
    * 设置 是否样表展示1是 0否
    * @param mattertypeList
    */
    public YthMatterQuery mattertypeList(List<Integer> mattertypeList){
        this.mattertypeList = mattertypeList;
		return this;
    }

	/**
    * 设置  
    * @param clicknum
    */
    public YthMatterQuery clicknum(Long clicknum){
	    setClicknum(clicknum);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param clicknumStart
    */
    public YthMatterQuery clicknumStart(Long clicknumStart){
		this.clicknumStart = clicknumStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param clicknumEnd
    */
    public YthMatterQuery clicknumEnd(Long clicknumEnd){
		this.clicknumEnd = clicknumEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param clicknumIncrement
    */
    public YthMatterQuery clicknumIncrement(Long clicknumIncrement){
		this.clicknumIncrement = clicknumIncrement;
		return this;
    }

    /**
    * 设置 
    * @param clicknumList
    */
    public YthMatterQuery clicknumList(List<Long> clicknumList){
        this.clicknumList = clicknumList;
		return this;
        }
	/**
    * 设置 实施主题
    * @param performDeptName
    */
    public YthMatterQuery performDeptName(String performDeptName){
        setPerformDeptName(performDeptName);
		return this;
    }


    /**
    * 设置 实施主题
    * @param performDeptNameList
    */
    public YthMatterQuery performDeptNameList(List<String> performDeptNameList){
        this.performDeptNameList = performDeptNameList;
		return this;
    }
	/**
    * 设置 html存储地址
    * @param html
    */
    public YthMatterQuery html(String html){
        setHtml(html);
		return this;
    }


    /**
    * 设置 html存储地址
    * @param htmlList
    */
    public YthMatterQuery htmlList(List<String> htmlList){
        this.htmlList = htmlList;
		return this;
    }
	/**
    * 设置 全债清单类型
    * @param eventType
    */
    public YthMatterQuery eventType(String eventType){
        setEventType(eventType);
		return this;
    }


    /**
    * 设置 全债清单类型
    * @param eventTypeList
    */
    public YthMatterQuery eventTypeList(List<String> eventTypeList){
        this.eventTypeList = eventTypeList;
		return this;
    }
	
	/**
    * 设置  
    * @param shardKey
    */
    public YthMatterQuery shardKey(Integer shardKey){
        setShardKey(shardKey);
		return this;
    }

    /**
    * 设置 开始 
    * @param shardKeyStart
    */
    public YthMatterQuery shardKeyStart(Integer shardKeyStart){
        this.shardKeyStart = shardKeyStart;
		return this;
    }


    /**
    * 设置 结束 
    * @param shardKeyEnd
    */
    public YthMatterQuery shardKeyEnd(Integer shardKeyEnd){
        this.shardKeyEnd = shardKeyEnd;
		return this;
    }


    /**
    * 设置 增加 
    * @param shardKeyIncrement
    */
    public YthMatterQuery shardKeyIncrement(Integer shardKeyIncrement){
        this.shardKeyIncrement = shardKeyIncrement;
		return this;
    }


    /**
    * 设置 
    * @param shardKeyList
    */
    public YthMatterQuery shardKeyList(List<Integer> shardKeyList){
        this.shardKeyList = shardKeyList;
		return this;
    }
	
	/**
    * 设置  个人1
    * @param parson
    */
    public YthMatterQuery parson(Integer parson){
        setParson(parson);
		return this;
    }

    /**
    * 设置 开始 个人1
    * @param parsonStart
    */
    public YthMatterQuery parsonStart(Integer parsonStart){
        this.parsonStart = parsonStart;
		return this;
    }


    /**
    * 设置 结束 个人1
    * @param parsonEnd
    */
    public YthMatterQuery parsonEnd(Integer parsonEnd){
        this.parsonEnd = parsonEnd;
		return this;
    }


    /**
    * 设置 增加 个人1
    * @param parsonIncrement
    */
    public YthMatterQuery parsonIncrement(Integer parsonIncrement){
        this.parsonIncrement = parsonIncrement;
		return this;
    }


    /**
    * 设置 个人1
    * @param parsonList
    */
    public YthMatterQuery parsonList(List<Integer> parsonList){
        this.parsonList = parsonList;
		return this;
    }
	
	/**
    * 设置  法人 1
    * @param lengal
    */
    public YthMatterQuery lengal(Integer lengal){
        setLengal(lengal);
		return this;
    }

    /**
    * 设置 开始 法人 1
    * @param lengalStart
    */
    public YthMatterQuery lengalStart(Integer lengalStart){
        this.lengalStart = lengalStart;
		return this;
    }


    /**
    * 设置 结束 法人 1
    * @param lengalEnd
    */
    public YthMatterQuery lengalEnd(Integer lengalEnd){
        this.lengalEnd = lengalEnd;
		return this;
    }


    /**
    * 设置 增加 法人 1
    * @param lengalIncrement
    */
    public YthMatterQuery lengalIncrement(Integer lengalIncrement){
        this.lengalIncrement = lengalIncrement;
		return this;
    }


    /**
    * 设置 法人 1
    * @param lengalList
    */
    public YthMatterQuery lengalList(List<Integer> lengalList){
        this.lengalList = lengalList;
		return this;
    }
	/**
    * 设置 总材料说明
    * @param materialRemark
    */
    public YthMatterQuery materialRemark(String materialRemark){
        setMaterialRemark(materialRemark);
		return this;
    }


    /**
    * 设置 总材料说明
    * @param materialRemarkList
    */
    public YthMatterQuery materialRemarkList(List<String> materialRemarkList){
        this.materialRemarkList = materialRemarkList;
		return this;
    }
	/**
    * 设置 网办类型
    * @param onlineType
    */
    public YthMatterQuery onlineType(String onlineType){
        setOnlineType(onlineType);
		return this;
    }


    /**
    * 设置 网办类型
    * @param onlineTypeList
    */
    public YthMatterQuery onlineTypeList(List<String> onlineTypeList){
        this.onlineTypeList = onlineTypeList;
		return this;
    }
	/**
    * 设置 事项二维码
    * @param codeurl
    */
    public YthMatterQuery codeurl(String codeurl){
        setCodeurl(codeurl);
		return this;
    }


    /**
    * 设置 事项二维码
    * @param codeurlList
    */
    public YthMatterQuery codeurlList(List<String> codeurlList){
        this.codeurlList = codeurlList;
		return this;
    }
	/**
    * 设置 英语事项名
    * @param englishName
    */
    public YthMatterQuery englishName(String englishName){
        setEnglishName(englishName);
		return this;
    }


    /**
    * 设置 英语事项名
    * @param englishNameList
    */
    public YthMatterQuery englishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
		return this;
    }
	/**
    * 设置 行使方式
    * @param applyObject
    */
    public YthMatterQuery applyObject(String applyObject){
        setApplyObject(applyObject);
		return this;
    }


    /**
    * 设置 行使方式
    * @param applyObjectList
    */
    public YthMatterQuery applyObjectList(List<String> applyObjectList){
        this.applyObjectList = applyObjectList;
		return this;
    }
	/**
    * 设置 行使方式
    * @param isUniteAccept
    */
    public YthMatterQuery isUniteAccept(String isUniteAccept){
        setIsUniteAccept(isUniteAccept);
		return this;
    }


    /**
    * 设置 行使方式
    * @param isUniteAcceptList
    */
    public YthMatterQuery isUniteAcceptList(List<String> isUniteAcceptList){
        this.isUniteAcceptList = isUniteAcceptList;
		return this;
    }
	/**
    * 设置 法定办结时限说明
    * @param legalTimeLimitInfo
    */
    public YthMatterQuery legalTimeLimitInfo(String legalTimeLimitInfo){
        setLegalTimeLimitInfo(legalTimeLimitInfo);
		return this;
    }


    /**
    * 设置 法定办结时限说明
    * @param legalTimeLimitInfoList
    */
    public YthMatterQuery legalTimeLimitInfoList(List<String> legalTimeLimitInfoList){
        this.legalTimeLimitInfoList = legalTimeLimitInfoList;
		return this;
    }
	/**
    * 设置 承诺办结时限说明
    * @param promiseTimeLimitInfo
    */
    public YthMatterQuery promiseTimeLimitInfo(String promiseTimeLimitInfo){
        setPromiseTimeLimitInfo(promiseTimeLimitInfo);
		return this;
    }


    /**
    * 设置 承诺办结时限说明
    * @param promiseTimeLimitInfoList
    */
    public YthMatterQuery promiseTimeLimitInfoList(List<String> promiseTimeLimitInfoList){
        this.promiseTimeLimitInfoList = promiseTimeLimitInfoList;
		return this;
    }
	/**
    * 设置 事项状态
    * @param valid
    */
    public YthMatterQuery valid(String valid){
        setValid(valid);
		return this;
    }


    /**
    * 设置 事项状态
    * @param validList
    */
    public YthMatterQuery validList(List<String> validList){
        this.validList = validList;
		return this;
    }
	/**
    * 设置 收费标准及依据
    * @param chargesShow
    */
    public YthMatterQuery chargesShow(String chargesShow){
        setChargesShow(chargesShow);
		return this;
    }


    /**
    * 设置 收费标准及依据
    * @param chargesShowList
    */
    public YthMatterQuery chargesShowList(List<String> chargesShowList){
        this.chargesShowList = chargesShowList;
		return this;
    }
	
	/**
    * 设置  是否乡镇 1是
    * @param istown
    */
    public YthMatterQuery istown(Integer istown){
        setIstown(istown);
		return this;
    }

    /**
    * 设置 开始 是否乡镇 1是
    * @param istownStart
    */
    public YthMatterQuery istownStart(Integer istownStart){
        this.istownStart = istownStart;
		return this;
    }


    /**
    * 设置 结束 是否乡镇 1是
    * @param istownEnd
    */
    public YthMatterQuery istownEnd(Integer istownEnd){
        this.istownEnd = istownEnd;
		return this;
    }


    /**
    * 设置 增加 是否乡镇 1是
    * @param istownIncrement
    */
    public YthMatterQuery istownIncrement(Integer istownIncrement){
        this.istownIncrement = istownIncrement;
		return this;
    }


    /**
    * 设置 是否乡镇 1是
    * @param istownList
    */
    public YthMatterQuery istownList(List<Integer> istownList){
        this.istownList = istownList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public YthMatterQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public YthMatterQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户
    * @param createUser
    */
    public YthMatterQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户
    * @param createUserList
    */
    public YthMatterQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<YthMatterQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<YthMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<YthMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<YthMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}